Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.annotation
Class IncompleteAnnotationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.annotation.IncompleteAnnotationException

All Implemented Interfaces:
  Serializable

    public class IncompleteAnnotationException

extends RuntimeException

Thrown to indicate that a program has attempted to access an element of an annotation type that was added to the annotation type definition after the annotation was compiled (or serialized). This exception will not be thrown if the new element has a default value.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`IncompleteAnnotationException(Class<? extends Annotation> annotationType, String elementName)` Constructs an IncompleteAnnotationException to indicate that the named element was missing from the specified annotation type.

Method Summary
`Class<? extends Annotation>` | `annotationType()` Returns the Class object for the annotation type with the missing element.
`String` | `elementName()` Returns the name of the missing element.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncompleteAnnotationException

    public IncompleteAnnotationException(Class<? extends Annotation> annotationType,
                                         String elementName)

  Constructs an IncompleteAnnotationException to indicate that the named element was missing from the specified annotation type.

  Parameters:
    `annotationType` - the Class object for the annotation type
    `elementName` - the name of the missing element

Method Detail

### annotationType

    public Class<? extends Annotation> annotationType()

  Returns the Class object for the annotation type with the missing element.

  Returns:
    the Class object for the annotation type with the missing element

### elementName

    public String elementName()

  Returns the name of the missing element.

  Returns:
    the name of the missing element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.